scala.tools.nsc.backend.icode.analysis.TypeFlowAnalysis

# CallsiteInfo

#### case class CallsiteInfo(bb: Global.icodes.BasicBlock, receiver: Global.Symbol, stackLength: Int, concreteMethod: Global.Symbol) extends Product with Serializable

Source
  TypeFlowAnalysis.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CallsiteInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CallsiteInfo(bb: Global.icodes.BasicBlock, receiver: Global.Symbol, stackLength: Int, concreteMethod: Global.Symbol)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CallsiteInfo to any2stringadd[CallsiteInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CallsiteInfo, B)

   Implicit information
     This member is added by an implicit conversion from CallsiteInfo to ArrowAssoc[CallsiteInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bb: Global.icodes.BasicBlock

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val concreteMethod: Global.Symbol

10. #### def ensuring(cond: (CallsiteInfo) ⇒ Boolean, msg: ⇒ Any): CallsiteInfo

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to Ensuring[CallsiteInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (CallsiteInfo) ⇒ Boolean): CallsiteInfo

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to Ensuring[CallsiteInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): CallsiteInfo

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to Ensuring[CallsiteInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): CallsiteInfo

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to Ensuring[CallsiteInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to StringFormat[CallsiteInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val receiver: Global.Symbol

23. #### val stackLength: Int

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (CallsiteInfo, B)

    Implicit information
      This member is added by an implicit conversion from CallsiteInfo to ArrowAssoc[CallsiteInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CallsiteInfo to any2stringadd[CallsiteInfo]

### Inherited by implicit conversion StringFormat from CallsiteInfo to StringFormat[CallsiteInfo]

### Inherited by implicit conversion Ensuring from CallsiteInfo to Ensuring[CallsiteInfo]

### Inherited by implicit conversion ArrowAssoc from CallsiteInfo to ArrowAssoc[CallsiteInfo]

### Ungrouped